#include <QApplication>
#include <QPushButton>
#include "hello.hpp"

int main(int argc, char* argv[]) {
	QApplication app(argc, argv);
	
	QWidget* w = new QWidget();
	w->show();
	
	QPushButton* b = new QPushButton("foo", w);
	b->show();
	
	Hello* h = new Hello();
	
	QObject::connect(b, SIGNAL(clicked()), h, SLOT(hello()));
	QObject::connect(h, SIGNAL(enough()), &app, SLOT(quit()));
	
	return app.exec();
}
